%!TEX root = presentation.tex

\pgfplotscreateplotcyclelist{mine}{%
line width=1.5pt, blue,				every mark/.append style={line width = 1pt, scale=0.8, fill=blue!60!black},		mark=*\\%
line width=1.5pt, red,				every mark/.append style={line width = 1pt, scale=0.8, fill=red!80!black},		mark=square*\\%
line width=1.5pt, yellow!80!red,	every mark/.append style={line width = .7pt, scale=0.8, fill=yellow!50!red},	mark=triangle*\\%
line width=1.5pt, green,			every mark/.append style={line width = .7pt, scale=0.8, fill=green!80!black},	mark=diamond*\\%
line width=1.5pt, violet,			every mark/.append style={line width = .7pt, scale=0.8, fill=violet!60!black},	mark=pentagon*\\%
line width=1.5pt, gray,				every mark/.append style={line width = 1pt, scale=0.8, fill=gray!70!black},		mark=*\\%
line width=1.5pt, black,			every mark/.append style={line width = 1pt, scale=0.8, fill=gray!50!black},		mark=square*\\%
line width=1.5pt, pink!90!blue,		every mark/.append style={line width = 1pt, scale=0.8, fill=pink!70!blue},		mark=triangle*\\%
line width=1.5pt, blue,				every mark/.append style={line width = 1pt, scale=0.8, fill=blue!60!black},		mark=*, densely dashed\\%
line width=1.5pt, red,				every mark/.append style={line width = 1pt, scale=0.8, fill=red!80!black},		mark=square*, densely dashed\\%
line width=1.5pt, yellow!80!red,	every mark/.append style={line width = .7pt, scale=0.8, fill=yellow!50!red},	mark=triangle*, densely dashed\\%
line width=1.5pt, green,			every mark/.append style={line width = .7pt, scale=0.8, fill=green!80!black},	mark=diamond*, densely dashed\\%
line width=1.5pt, violet,			every mark/.append style={line width = .7pt, scale=0.8, fill=violet!60!black},	mark=pentagon*, densely dashed\\%
line width=1.5pt, gray,				every mark/.append style={line width = 1pt, scale=0.8, fill=gray!70!black},		mark=*, densely dashed\\%
line width=1.5pt, black,			every mark/.append style={line width = 1pt, scale=0.8, fill=gray!50!black},		mark=square*, densely dashed\\%
line width=1.5pt, pink!90!blue,		every mark/.append style={line width = 1pt, scale=0.8, fill=pink!70!blue},		mark=triangle*, densely dashed\\%
line width=1.5pt, gray,				every mark/.append style={line width = 1pt, scale=0.8, fill=gray!70!black},		mark=*, densely dashed\\%
line width=1.5pt, cyan,				every mark/.append style={line width = 1pt, scale=0.8, fill=cyan!50!blue},		mark=*, dotted\\%
%line width=1.5pt, red,				every mark/.append style={line width = 1pt, scale=0.8, fill=red!80!black},		mark=square*, dotted\\%
}

\pgfplotsset{
	compat=1.8,
	every axis/.append style={
		tick label style={font=\footnotesize},
		legend style={draw=none, font=\footnotesize},
		legend pos = outer north east,
		legend cell align = left,
		ymajorgrids=true,
		yminorgrids=true,
		%minor y tick num = 1,
		max space between ticks = 20,
		cycle list name=mine,
		line width = 1.5pt,
		x axis line style={line width=1pt},
		unbounded coords=jump,
		scaled ticks=false,
		x tick label style={text height=1.5ex} % To make sure the text labels are nicely aligned
	}
}
\pgfplotsset{
	/pgfplots/bar cycle list/.style={/pgfplots/cycle list={
		{line width=1.5pt,black,fill=gray!50!white,mark=none},
		{line width=1.5pt,blue,fill=blue!30!white,mark=none},
		{line width=1.5pt,red,fill=red!30!white,mark=none},
		{line width=1.5pt,green!80!black,fill=green,mark=none},
		{line width=1.5pt,violet!60!black,fill=violet,mark=none},
		{line width=1.5pt,yellow!50!red,fill=yellow!80!red,mark=none},
		{line width=1.5pt,yellow!70!black,fill=yellow,mark=none},
		{line width=1.5pt,gray!50!white,pattern=north east lines, pattern color=black, mark=none},
		{line width=1.5pt,violet!50!white,pattern=north east lines, pattern color=violet!70!white,mark=none},
		{line width=1.5pt,red!30!white,pattern=north east lines, pattern color=red,mark=none},
		{line width=1.5pt,green,pattern=north east lines, pattern color=green!80!black,mark=none},
		{line width=1.5pt,cyan,pattern=north east lines, pattern color=cyan!50!blue,mark=none},
		{line width=1.5pt,yellow!80!red,pattern=north east lines, pattern color=yellow!50!red,mark=none},
		{line width=1.5pt,yellow,pattern=north east lines, pattern color=yellow!70!black,mark=none}
		}
	}
}

\pgfkeys{/pgf/number format/.cd, set thousands separator={\,}, fixed}

\makeatletter
\pgfplotsset{
    /pgfplots/flexible xticklabels from table/.code n args={3}{%
        \pgfplotstableread[#3]{#1}\coordinate@table
        \pgfplotstablegetcolumn{#2}\of{\coordinate@table}\to\pgfplots@xticklabels
        \let\pgfplots@xticklabel=\pgfplots@user@ticklabel@list@x
    }
}
\makeatother

\newcommand{\degdiamplotlinesx}[4]{
	\foreach \index in {#2} {
		\addplot table[col sep=tab,x=N,y={\index (#4)}]{plots/run1/#1.tsv};
	}
	
	\foreach \index in {#3} {
		\addlegendentryexpanded{\index}
	}
}

\newcommand{\degdiamplotlines}[3]{
	\degdiamplotlinesx{#1}{#2}{#2}{#3}
}

\newcommand{\degdiamplot}[3]{
\centering
\ref{#1}\\
\begin{tikzpicture}
\begin{axis}[
width=5.5cm, height=6cm,
xmode=log,ymode=log,
xlabel=Number of Vertices,
ylabel=Average Vertex Degree,
legend columns=-1,
legend style={/tikz/every even column/.append style={column sep=0.5cm}},
legend to name=#1]
#2
\end{axis}
\end{tikzpicture}~
\begin{tikzpicture}
\begin{axis}[
width=5.5cm, height=6cm,
xmode=log,
xlabel=Number of Vertices,
ylabel=Effective Diameter,
legend to name=#1foo]
#3
\end{axis}
\end{tikzpicture}
}
